SynthRadioButtonUI (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.synth.SynthRadioButtonUI class

Module java.desktop
Package javax.swing.plaf.synth

## Class SynthRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.synth.SynthButtonUI
        - - javax.swing.plaf.synth.SynthToggleButtonUI
          - - javax.swing.plaf.synth.SynthRadioButtonUI

- All Implemented Interfaces:
    `PropertyChangeListener`, `EventListener`, `SynthConstants`, `SynthUI`
  Direct Known Subclasses:
    `SynthCheckBoxUI`

      public class SynthRadioButtonUI
      extends SynthToggleButtonUI

  Provides the Synth L&F UI delegate for `JRadioButton`.
  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

    - ### Fields inherited from interface javax.swing.plaf.synth.SynthConstants

      `DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynthRadioButtonUI​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent b)` | Creates a new UI object for the given component.
    `protected String` | `getPropertyPrefix​()` | Returns the property prefix.
    `protected Icon` | `getSizingIcon​(AbstractButton b)` | Returns the Icon used in calculating the preferred/minimum/maximum size.
    `void` | `paintBorder​(SynthContext context, Graphics g, int x, int y, int w, int h)` | Paints the border.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaselineResizeBehavior, getDefaultTextIconGap, getTextShiftOffset, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class javax.swing.plaf.synth.SynthButtonUI

      `getBaseline, getContext, getDefaultIcon, getIcon, getMaximumSize, getMinimumSize, getPreferredSize, installDefaults, installListeners, paint, paint, propertyChange, uninstallDefaults, uninstallListeners, update`

- - ### Constructor Detail

    - #### SynthRadioButtonUI

          public SynthRadioButtonUI​()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent b)

      Creates a new UI object for the given component.
      Parameters:
        `b` - component to create UI object for
      Returns:
        the UI object

    - #### getPropertyPrefix

          protected String getPropertyPrefix​()

      Returns the property prefix.
      Overrides:
        `getPropertyPrefix` in class `SynthToggleButtonUI`
      Returns:
        the property prefix

    - #### getSizingIcon

          protected Icon getSizingIcon​(AbstractButton b)

      Returns the Icon used in calculating the preferred/minimum/maximum size.
      Overrides:
        `getSizingIcon` in class `SynthButtonUI`
      Parameters:
        `b` - specifies the `AbstractButton` used when calculating the preferred/minimum/maximum size.
      Returns:
        the Icon used in calculating the preferred/minimum/maximum size.

    - #### paintBorder

          public void paintBorder​(SynthContext context,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int w,
                                  int h)

      Paints the border.
      Specified by:
        `paintBorder` in interface `SynthUI`
      Overrides:
        `paintBorder` in class `SynthToggleButtonUI`
      Parameters:
        `context` - a component context
        `g` - `Graphics` to paint on
        `x` - the X coordinate
        `y` - the Y coordinate
        `w` - width of the border
        `h` - height of the border